package connectfour2013;

/*
 * Created on Dec 4, 2004
 * Modified Nov 14, 2012
 */

public abstract class Player {
	protected int myColor;    // red or black
	protected String myName;  // player name
	protected int myWins = 0; // number of wins
	
	public int getWins(){
		return myWins;
	}
	
	public void recordWin(){
		myWins++;
	}
	
	// Starting new round, reset score.
	public void resetWins(){
		myWins = 0;
	}
	
	public int getColor(){
		return myColor;
	}

	public void setColor(int color){
		myColor = color;
	}
	
	public String getName(){
		return myName;
	}
	
	public void setName(String name){
		myName = name;
	}
	
	// The students will write this! 
	public abstract int ai(GameBoard gb);
}
